window.onerror = function () {
  console.log("js error detected");
  setTimeout(function () {
    console.log("reloading page because of error");
    window.location.reload();
  }, 30_000);
};

const elementCount = JSON.parse($("#data-element-count").text());
const waitDelay = 10_000;
const scrollDuration = elementCount * 200;

function reload() {
  window.location.reload();
}

function scrollUp() {
  $("html, body").animate(
    {
      scrollTop: 0,
    },
    scrollDuration,
    "linear"
  );
  setTimeout(reload, scrollDuration);
}

function scrollDown() {
  $("html, body").animate(
    {
      scrollTop: $(document).height() - $(window).height(),
    },
    scrollDuration,
    "linear"
  );
  setTimeout(scrollUp, scrollDuration + waitDelay);
}

window.scrollTo(0, 0);
setTimeout(
  $(document).height() > $(window).height() ? scrollDown : reload,
  waitDelay
);
